package at.codemonkey.events;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.context.event.ApplicationEventMulticaster;

@SpringBootTest
class EventsApplicationTests {

    @Autowired
    private ApplicationEventMulticaster multicaster;

    @Autowired
    private ApplicationEventPublisher publisher;

    @Test
    void thatHandlerCanBeDisabled() {
        multicaster.removeApplicationListenerBean("myEventListener");
        publisher.publishEvent(new MyEvent());
    }

}
